Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal.grid
Class SparseGridPortrayal2D

    java.lang.Object
      sim.portrayal.FieldPortrayal
          sim.portrayal.FieldPortrayal2D
              sim.portrayal.grid.SparseGridPortrayal2D

All Implemented Interfaces:
  java.io.Serializable, Portrayal, Portrayal2D

Direct Known Subclasses:
  HexaSparseGridPortrayal2D

    public class SparseGridPortrayal2D

extends FieldPortrayal2D

Can be used to draw both continuous and descrete sparse fields

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class sim.portrayal.FieldPortrayal
`FieldPortrayal.CustomInspector`

Field Summary
`DrawPolicy` | `policy`

Fields inherited from class sim.portrayal.FieldPortrayal2D
`DEFAULT, DONT_USE_BUFFER, USE_BUFFER`

Fields inherited from class sim.portrayal.FieldPortrayal
`classPortrayals, dirtyField, field, immutableField, portrayalForAll, portrayalForNonNull, portrayalForNull, portrayalForRemainder, portrayals`

Constructor Summary
`SparseGridPortrayal2D()`
`SparseGridPortrayal2D(DrawPolicy policy)`

Method Summary
`Portrayal` | `getDefaultPortrayal()` Should return a portrayal which can portray any object regardless of whether it's valid or not
`LocationWrapper` | `getWrapper(java.lang.Object object)`
`protected void` | `hitOrDraw(java.awt.Graphics2D graphics, DrawInfo2D info, Bag putInHere)` Instead of overriding the draw and hitObjects methods, you can optionally override this method to provide both the draw(...) and hitObjects(...) functionality in a single method, as it's common that these two methods have nearly identical code.
`void` | `setField(java.lang.Object field)` Sets the field.

Methods inherited from class sim.portrayal.FieldPortrayal2D
`draw, getBuffering, getSelectedObjects, hitObjects, move, setBuffering, setSelected`

Methods inherited from class sim.portrayal.FieldPortrayal
`getDefaultNullPortrayal, getField, getInspector, getName, getPortrayalForAll, getPortrayalForNonNull, getPortrayalForNull, getPortrayalForObject, getPortrayalForRemainder, getStatus, isImmutableField, setImmutableField, setPortrayalForAll, setPortrayalForClass, setPortrayalForNonNull, setPortrayalForNull, setPortrayalForObject, setPortrayalForRemainder, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface sim.portrayal.Portrayal
`getInspector, getName, getStatus, setSelected`

Field Detail

### policy

    public DrawPolicy policy

Constructor Detail

### SparseGridPortrayal2D

    public SparseGridPortrayal2D()

### SparseGridPortrayal2D

    public SparseGridPortrayal2D(DrawPolicy policy)

Method Detail

### getDefaultPortrayal

    public Portrayal getDefaultPortrayal()

  Description copied from class: `FieldPortrayal`
  Should return a portrayal which can portray any object regardless of whether it's valid or not

  Overrides:
    `getDefaultPortrayal` in class `FieldPortrayal2D`

### setField

    public void setField(java.lang.Object field)

  Description copied from class: `FieldPortrayal`
  Sets the field. Also sets dirtyField = true. May throw an exception if the field is inappropriate.

  Overrides:
    `setField` in class `FieldPortrayal2D`

### hitOrDraw

    protected void hitOrDraw(java.awt.Graphics2D graphics,
                             DrawInfo2D info,
                             Bag putInHere)

  Description copied from class: `FieldPortrayal2D`
  Instead of overriding the draw and hitObjects methods, you can optionally override this method to provide both the draw(...) and hitObjects(...) functionality in a single method, as it's common that these two methods have nearly identical code. You should test which operation to do based on whether or not graphics is null (if it is, you're hitting, else you're drawing).

  Overrides:
    `hitOrDraw` in class `FieldPortrayal2D`

### getWrapper

    public LocationWrapper getWrapper(java.lang.Object object)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD